Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.trans
Class MfTransactionMetrics

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.mfwk.util.instrum.MfStatus
              com.sun.mfwk.util.instrum.MfMetric
                  com.sun.mfwk.trans.MfTransactionMetrics

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, MfMetricMBean, MfStatusMBean, MfTransactionMetricsMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener

public class MfTransactionMetrics
extends MfMetric
implements MfTransactionMetricsMBean

MfTransactionMetrics contains the computed metrics related to a transaction type

Field Summary

Fields inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`AVAIL_CONGESTED, AVAIL_DEGRADED, AVAIL_NORMAL, OPS_FAILED, OPS_RUNNING, OPS_STARTING, OPS_STOPPED, OPS_STOPPING`

Constructor Summary
`MfTransactionMetrics()`

Method Summary
`long` | `getAccumulatedResponseTime()` Get the accumulated response time of this URI since the reference time.
`long` | `getAccumulatedServiceTime()` Get the accumulated service time of this URI since the reference time.
`long` | `getAccumulatedSqResponseTime()` Get the accumulated squared response time of this URI since the reference time.
`long` | `getAccumulatedSqServiceTime()` Get the accumulated squared Service time of this URI since the reference time.
`long` | `getMaxResponseTime()` Get the maximum response time of this URI since the reference time.
`long` | `getMaxServiceTime()` Get the maximum service time of this URI since the reference time.
`long` | `getMinResponseTime()` Get the minimum response time of this URI since the reference time.
`long` | `getMinServiceTime()` Get the minimum service time of this URI since the reference time.
`long` | `getNbAbortedRequests()` Get the number of aborted requests for this URI.
`long` | `getNbFailedRequests()` Get the number of failed requests for this URI.
`long` | `getNbInRequests()` Get the number of requests received by this URI.
`long` | `getNbOutRequests()` Get the number of requests responded by this URI.
`long` | `getSingleAccumulatedServiceTime()` Get the accumulated service time of this URI since the reference time.
`long` | `getSingleAccumulatedSqServiceTime()` Get the accumulated squared Service time of this URI since the reference time.
`long` | `getSingleMaxServiceTime()` Get the maximum service time of this URI since the reference time.
`long` | `getSingleMinServiceTime()` Get the minimum service time of this URI since the reference time.
`long` | `getSingleNbAbortedRequests()` Get the number of aborted requests for this URI.
`long` | `getSingleNbFailedRequests()` Get the number of failed requests for this URI.
`java.lang.String` | `getUri()` Get the URI associated to the transaction metrics.
`void` | `resetMetrics()` Reset all the metrics.

Methods inherited from class com.sun.mfwk.util.instrum.MfMetric
`disableMonitoring, enableMonitoring, handleNotification, isMonitoringEnabled, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class com.sun.mfwk.util.instrum.MfStatus
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime, setAvailabilityState, setAvailStateLastChange, setDegradedTime, setOperationalState, setOpsStateLastChange, setRunningTime`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.util.instrum.MfMetricMBean
`disableMonitoring, enableMonitoring, isMonitoringEnabled`

Methods inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime`

Constructor Detail

### MfTransactionMetrics

    public MfTransactionMetrics()

Method Detail

### getUri

    public java.lang.String getUri()

  Get the URI associated to the transaction metrics.

  Specified by:
    `getUri` in interface `MfTransactionMetricsMBean`

### getNbInRequests

    public long getNbInRequests()

  Get the number of requests received by this URI.

  Specified by:
    `getNbInRequests` in interface `MfTransactionMetricsMBean`

### getNbOutRequests

    public long getNbOutRequests()

  Get the number of requests responded by this URI.

  Specified by:
    `getNbOutRequests` in interface `MfTransactionMetricsMBean`

### getNbFailedRequests

    public long getNbFailedRequests()

  Get the number of failed requests for this URI.

  Specified by:
    `getNbFailedRequests` in interface `MfTransactionMetricsMBean`

### getNbAbortedRequests

    public long getNbAbortedRequests()

  Get the number of aborted requests for this URI.

  Specified by:
    `getNbAbortedRequests` in interface `MfTransactionMetricsMBean`

### getMaxResponseTime

    public long getMaxResponseTime()

  Get the maximum response time of this URI since the reference time.

  Specified by:
    `getMaxResponseTime` in interface `MfTransactionMetricsMBean`

### getMinResponseTime

    public long getMinResponseTime()

  Get the minimum response time of this URI since the reference time.

  Specified by:
    `getMinResponseTime` in interface `MfTransactionMetricsMBean`

### getAccumulatedResponseTime

    public long getAccumulatedResponseTime()

  Get the accumulated response time of this URI since the reference time.

  Specified by:
    `getAccumulatedResponseTime` in interface `MfTransactionMetricsMBean`

### getAccumulatedSqResponseTime

    public long getAccumulatedSqResponseTime()

  Get the accumulated squared response time of this URI since the reference time.

  Specified by:
    `getAccumulatedSqResponseTime` in interface `MfTransactionMetricsMBean`

### getMinServiceTime

    public long getMinServiceTime()

  Get the minimum service time of this URI since the reference time.

  Specified by:
    `getMinServiceTime` in interface `MfTransactionMetricsMBean`

### getMaxServiceTime

    public long getMaxServiceTime()

  Get the maximum service time of this URI since the reference time.

  Specified by:
    `getMaxServiceTime` in interface `MfTransactionMetricsMBean`

### getAccumulatedServiceTime

    public long getAccumulatedServiceTime()

  Get the accumulated service time of this URI since the reference time.

  Specified by:
    `getAccumulatedServiceTime` in interface `MfTransactionMetricsMBean`

### getAccumulatedSqServiceTime

    public long getAccumulatedSqServiceTime()

  Get the accumulated squared Service time of this URI since the reference time.

  Specified by:
    `getAccumulatedSqServiceTime` in interface `MfTransactionMetricsMBean`

### getSingleMinServiceTime

    public long getSingleMinServiceTime()

  Description copied from interface: `MfTransactionMetricsMBean`
  Get the minimum service time of this URI since the reference time. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

  Specified by:
    `getSingleMinServiceTime` in interface `MfTransactionMetricsMBean`

### getSingleMaxServiceTime

    public long getSingleMaxServiceTime()

  Description copied from interface: `MfTransactionMetricsMBean`
  Get the maximum service time of this URI since the reference time. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

  Specified by:
    `getSingleMaxServiceTime` in interface `MfTransactionMetricsMBean`

### getSingleAccumulatedServiceTime

    public long getSingleAccumulatedServiceTime()

  Description copied from interface: `MfTransactionMetricsMBean`
  Get the accumulated service time of this URI since the reference time. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

  Specified by:
    `getSingleAccumulatedServiceTime` in interface `MfTransactionMetricsMBean`

### getSingleAccumulatedSqServiceTime

    public long getSingleAccumulatedSqServiceTime()

  Description copied from interface: `MfTransactionMetricsMBean`
  Get the accumulated squared Service time of this URI since the reference time. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

  Specified by:
    `getSingleAccumulatedSqServiceTime` in interface `MfTransactionMetricsMBean`

### getSingleNbFailedRequests

    public long getSingleNbFailedRequests()

  Description copied from interface: `MfTransactionMetricsMBean`
  Get the number of failed requests for this URI. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

  Specified by:
    `getSingleNbFailedRequests` in interface `MfTransactionMetricsMBean`

### getSingleNbAbortedRequests

    public long getSingleNbAbortedRequests()

  Description copied from interface: `MfTransactionMetricsMBean`
  Get the number of aborted requests for this URI. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

  Specified by:
    `getSingleNbAbortedRequests` in interface `MfTransactionMetricsMBean`

### resetMetrics

    public void resetMetrics()

  Reset all the metrics.

  Specified by:
    `resetMetrics` in interface `MfMetricMBean`
  Specified by:
    `resetMetrics` in class `MfMetric`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD